import type { AppPreferences } from '@axium/core';
export declare function get<A extends string>(userId: string, appId: A): Promise<AppPreferences<A>>;
export declare function set<A extends string>(userId: string, appId: A, preferences: AppPreferences<A>): Promise<AppPreferences<A>>;
export declare function clear<A extends string>(userId: string, appId: A): Promise<AppPreferences<A>>;
export declare function appPref<A extends string, K extends keyof AppPreferences<A>>(userId: string, appId: A, key: K): Promise<AppPreferences<A>[K]>;
